public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/qscintilla/
Date: Sun, 17 Sep 2023 06:17:12 +0000 (UTC)	[thread overview]
Message-ID: <1694931406.a28b0b0318aa6855f471d102f5d3b83f831adc4b.sam@gentoo> (raw)

commit:     a28b0b0318aa6855f471d102f5d3b83f831adc4b
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sat Sep 16 21:33:52 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 06:16:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a28b0b03

x11-libs/qscintilla: 2.14.1 version bump

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-libs/qscintilla/Manifest                 |  1 +
 x11-libs/qscintilla/qscintilla-2.14.1.ebuild | 80 ++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/x11-libs/qscintilla/Manifest b/x11-libs/qscintilla/Manifest
index e3f543929391..3ff66b83fdc4 100644
--- a/x11-libs/qscintilla/Manifest
+++ b/x11-libs/qscintilla/Manifest
@@ -1 +1,2 @@
 DIST QScintilla_src-2.13.3.tar.gz 3060031 BLAKE2B e93dd884f630ef5f02fbf558ea8d9f94cfde1af03b811c8df9c3197ce9cadc430bf9727aec114ba118588effa5bc76166e3bda48800b6112edc8e8c598d72952 SHA512 be102fd6123fad0bc7f8de39080886369398889de48a4ec8873a0751890d7be1f238ae5194b71d31aac492e2881b6bf7885d9c06a2a47e36328780b47694f5b5
+DIST QScintilla_src-2.14.1.tar.gz 3233610 BLAKE2B 83b54378f0d3fa39ea120214a06c91982f81281e15c61fc70a9e83928be64724cfd2679b5e4aafee44a324e24a6c4729693cd118c6ad0b1636a199f2f41d34fe SHA512 19e2f9e0a14947501c575018df368d24eb7f8c74e74faa5246db36415bf28dc0beee507ed0e73107c02b36a99bbaf55f0ef3349f479d2332e1b92b2c4a32788a

diff --git a/x11-libs/qscintilla/qscintilla-2.14.1.ebuild b/x11-libs/qscintilla/qscintilla-2.14.1.ebuild
new file mode 100644
index 000000000000..d6db1ed1a5a9
--- /dev/null
+++ b/x11-libs/qscintilla/qscintilla-2.14.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic qmake-utils
+
+DESCRIPTION="Qt port of Neil Hodgson's Scintilla C++ editor control"
+HOMEPAGE="https://www.riverbankcomputing.com/software/qscintilla/intro"
+
+MY_PN=QScintilla
+MY_P=${MY_PN}_src-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+	SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+	SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz"
+fi
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-3"
+SLOT="0/15"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="designer doc"
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtprintsupport:5
+	dev-qt/qtwidgets:5
+	designer? ( dev-qt/designer:5 )
+"
+DEPEND="${RDEPEND}"
+
+src_unpack() {
+	default
+
+	# Sub-slot sanity check
+	local subslot=${SLOT#*/}
+	local version=$(sed -nre 's:.*VERSION\s*=\s*([0-9\.]+):\1:p' "${S}"/src/qscintilla.pro || die)
+	local major=${version%%.*}
+	if [[ ${subslot} != ${major} ]]; then
+		eerror
+		eerror "Ebuild sub-slot (${subslot}) does not match QScintilla major version (${major})"
+		eerror "Please update SLOT variable as follows:"
+		eerror "    SLOT=\"${SLOT%%/*}/${major}\""
+		eerror
+		die "sub-slot sanity check failed"
+	fi
+}
+
+qsci_run_in() {
+	pushd "$1" >/dev/null || die
+	shift || die
+	"$@" || die
+	popd >/dev/null || die
+}
+
+src_configure() {
+	if use designer; then
+		# prevent building against system version (bug 466120)
+		append-cxxflags -I../src
+		append-ldflags -L../src
+	fi
+
+	qsci_run_in src eqmake5
+	use designer && qsci_run_in designer eqmake5
+}
+
+src_compile() {
+	qsci_run_in src emake
+	use designer && qsci_run_in designer emake
+}
+
+src_install() {
+	qsci_run_in src emake INSTALL_ROOT="${D}" install
+	use designer && qsci_run_in designer emake INSTALL_ROOT="${D}" install
+
+	use doc && local HTML_DOCS=( doc/html/. )
+	einstalldocs
+}


             reply	other threads:[~2023-09-17  6:17 UTC|newest]

Thread overview: 101+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-17  6:17 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-08  7:54 [gentoo-commits] repo/gentoo:master commit in: x11-libs/qscintilla/ Michał Górny
2024-04-16 16:30 Jimi Huotari
2023-10-18 15:42 Arthur Zamarin
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2023-10-18  9:02 Sam James
2022-11-23 21:18 Andreas Sturmlechner
2022-10-28 18:55 Sam James
2022-10-28 18:55 Sam James
2022-10-28 18:52 Arthur Zamarin
2022-10-28 16:36 Arthur Zamarin
2022-10-28 16:33 Arthur Zamarin
2022-09-26 17:18 Andreas Sturmlechner
2022-09-26 17:18 Andreas Sturmlechner
2022-06-01  5:25 Sam James
2022-06-01  5:25 Sam James
2022-06-01  2:29 Sam James
2022-06-01  1:56 Sam James
2022-06-01  1:55 Sam James
2021-10-22  3:02 Davide Pesavento
2021-10-19  4:29 Davide Pesavento
2021-10-11 22:22 Yixun Lan
2021-08-04  1:06 Davide Pesavento
2021-07-31  6:23 Sam James
2021-07-31  4:14 Sam James
2021-07-30 15:14 Agostino Sarubbo
2021-07-09  2:47 Davide Pesavento
2021-07-09  2:47 Davide Pesavento
2021-06-23 19:57 Davide Pesavento
2020-12-17  1:17 Davide Pesavento
2020-11-07 17:57 Sam James
2020-11-06  5:21 Sam James
2020-08-30  0:33 Davide Pesavento
2020-08-30  0:19 Sam James
2020-08-18 11:16 Agostino Sarubbo
2020-06-16  5:47 Davide Pesavento
2020-03-26 18:38 Davide Pesavento
2020-03-22 10:37 Agostino Sarubbo
2020-03-21 16:49 Agostino Sarubbo
2020-03-21 15:52 Agostino Sarubbo
2020-03-07 15:11 Michał Górny
2020-02-16  7:52 Michał Górny
2020-01-11 19:25 Davide Pesavento
2019-12-31 14:16 Agostino Sarubbo
2019-12-31 14:06 Agostino Sarubbo
2019-12-31 14:02 Agostino Sarubbo
2019-12-27  1:01 Davide Pesavento
2019-12-23  0:09 Davide Pesavento
2019-12-03  2:57 Davide Pesavento
2019-11-16 19:55 Davide Pesavento
2019-04-03  1:14 Davide Pesavento
2019-03-21 20:46 Davide Pesavento
2019-03-21 20:30 Davide Pesavento
2018-12-31 23:44 Davide Pesavento
2018-12-31 22:27 Davide Pesavento
2018-12-29 19:12 Thomas Deutschmann
2018-12-25 19:46 Sergei Trofimovich
2018-12-15 20:37 Davide Pesavento
2018-10-07 23:22 Davide Pesavento
2018-08-25 18:48 Davide Pesavento
2018-08-25 18:11 Davide Pesavento
2018-07-14 20:16 Sergei Trofimovich
2018-07-09 14:02 Mikle Kolyada
2018-07-06 13:43 Thomas Deutschmann
2018-04-26  3:32 Andreas Sturmlechner
2018-04-26  3:01 Matt Turner
2018-04-15 17:16 Davide Pesavento
2018-04-15 14:41 Sergei Trofimovich
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 15:51 Aaron Bauman
2018-03-04 22:16 Davide Pesavento
2017-11-27 23:58 Andreas Sturmlechner
2017-11-26 19:15 Sergei Trofimovich
2017-11-26 12:17 Sergei Trofimovich
2017-11-25  0:54 Davide Pesavento
2017-11-25  0:33 Davide Pesavento
2017-11-20 15:42 Manuel Rüger
2017-11-02 21:16 Thomas Deutschmann
2017-09-30  7:18 Sergei Trofimovich
2017-08-19 18:40 Davide Pesavento
2017-05-26 14:59 Agostino Sarubbo
2017-05-26 14:05 Agostino Sarubbo
2017-05-24 13:42 Agostino Sarubbo
2017-05-23 23:25 Michael Weber
2017-04-23 23:37 Davide Pesavento
2017-02-26  1:51 Davide Pesavento
2017-01-25  0:54 Davide Pesavento
2017-01-01 14:20 Michael Palimaka
2016-12-31  6:02 Andrey Grozin
2016-12-23  1:24 Davide Pesavento
2016-12-22 18:26 David Seifert
2016-10-02 10:08 Jeroen Roovers
2016-07-27  9:31 Davide Pesavento
2016-07-14 20:43 Davide Pesavento
2016-07-13 21:22 Michael Palimaka
2016-04-23 22:36 Davide Pesavento
2016-04-20  0:40 Davide Pesavento
2016-04-20  0:40 Davide Pesavento
2015-10-24 15:44 Davide Pesavento

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1694931406.a28b0b0318aa6855f471d102f5d3b83f831adc4b.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox